package cz.zcu.fav.kiv.jsimcasestudies.watersystem;

/**
 *  An interface shared between the control program and a model of its
 *  environment. It serves to define a type of interrupt service routine
 *  that should be known from both sides:
 *    - from the control program side it defines the type of interrupt
 *      service routine that should be written,
 *    - from the environment model side this routine should be called.
 *  This interface must be implemented at the control program model side
 *  (because the interrupt service routine is a part of the control program).
 *
 *  @author St.R.
 *  @version 1.0 from 2004-04-30
 */


public interface InterruptEntryInterface
{
	/**
	 *  Interrupt service routine. 
	 *
	 */
	public void interruptService();

	
} // interface InterruptEntryInterface

