package cz.zcu.fav.kiv.jsimcasestudies.watersystem.application;


/**
 *  An encapsulation of a water source consistent state.
 *
 *  This code needn`t be changed when passing to the production version.
 *
 *  @author Cesar ALLAIN
 *  @author Jarda KACER
 *  @author St. RACEK
 *  @version 1.0 from 2004-03-20
 */

class SourceState {

	/**
	*   The state of the source
	*
	*  levelLow the low level of the source
	*  levelHigh the high level of the source
	*  pumIsOn pum is working
	*/

	public boolean levelLow;
	public boolean levelHigh;
	public boolean pumpIsOn;

	/**
	* Constructor
	*/

	protected SourceState() {
		levelLow = false;
		levelHigh = false;
		pumpIsOn = false;
	} // constructor

	/**
	* A method that converts boolean to the integer
	* @param b boolean value
	* @param returns the number 1 if b is true otherwise 0
	*/

        protected static int boolToInt(boolean b) {
         if (b)
           return 1;
         else
           return 0;
        }
        /**
        * Displays the state of the source - only for debugging
        */

        protected void displayState() {
          System.out.print ("" + boolToInt(levelLow) + "" + boolToInt(levelHigh) + "" + boolToInt(pumpIsOn) + "  ");
        }

} // class SourceState

