package cz.zcu.fav.kiv.jsimcasestudies.watersystem.application;

/**
 *  An encapsulation of the water station consistent state.
 *
 *  This source code needn`t to be changed when passing it to the
 *     production version.
 *
 *  @author Cesar ALLAIN
 *  @author Jarda KACER
 *  @author St. RACEK
 *  @version 1.0 from 2004-03-22
 */

class StationState {
	
        /*
	* The station state:
	* levelLow the low level of the station
	* levelHigh the high level of the station
	* cntPumpsOn count of the pumps on
	* cntPumpsReady count of the pumps ready to work
	* outputFlow the output flow from the station
	*/
	public boolean levelLow;
	public boolean levelHigh;
	public int cntPumpsOn;
        public int cntPumpsReady;
        public int outputFlow;

	/**
	* Contructor of the class StationState
	*/
	protected StationState() {
		levelLow = false;
		levelHigh = false;
		cntPumpsOn = 0;
                cntPumpsReady = 0;
                outputFlow = 0;
	} // constructor

	/**
	* A method that converts boolean to int
	*/

        protected static int boolToInt(boolean b) {
         if (b)
           return 1;
         else
           return 0;
        }

	/**
	* A methods that displays the state of the station
        *    (only for debugging purpose)
	*
	*/
        protected void displayState() {
          System.out.print ("" + boolToInt(levelLow) + "" + boolToInt(levelHigh) + " " + outputFlow +
            " " + cntPumpsOn + " " + cntPumpsReady);
        }

} // class StationState

