package cz.zcu.fav.kiv.jsimcasestudies.watersystem.model;

/**
 *  An encapsulation of hardware data maintained by sensors of the main water station tank,
 *    i.e. the data model of sensors.
 *
 *  @author Cesar ALLAIN
 *  @author Jarda KACER
 *  @version 1.1 from 2004-03-24
 */
class StationHardwareData
{
	private boolean stationLevelLow;
	private boolean stationLevelHigh;
	private int outputFlow;

	protected StationHardwareData()
	{
		stationLevelLow = true;
		stationLevelHigh = false;
		outputFlow = 0;
	} // constructor

	protected boolean getStationLevelLow()
	{
		return stationLevelLow;
	} // getStationLevelLow

	protected void setStationLevelLow(boolean newStationLevelLow)
	{
		stationLevelLow = newStationLevelLow;
	} // setStationLevelLow

	protected boolean getStationLevelHigh()
	{
		return stationLevelHigh;
	} // getStationLevelHigh

	protected void setStationLevelHigh(boolean newStationLevelHigh)
	{
		stationLevelHigh = newStationLevelHigh;
	} // setStationLevelHigh

	protected int getOutputFlow()
	{
		return outputFlow;
	} // getOutputFlow

	protected void setOutputFlow(int newOutputFlow)
	{
		outputFlow = newOutputFlow;
	} // setOutputFlow

	protected void addOutputFlow(int outputFlowChange)
	{
		outputFlow += outputFlowChange;
	} // addOutputFlow

	/**
	* A method that converts from boolean to int
	*/

        protected static int boolToInt(boolean b) {
         if (b)
           return 1;
         else
           return 0;
        }

	/**
	* A methods that displays the state of the station
        *   - for debugging purpose
	*
	*/
        protected void displayState() {
          System.out.print ("" + boolToInt(stationLevelLow) + "" + boolToInt(stationLevelHigh) + " " + outputFlow);
          //  " " + cntPumpsOn + " " + cntPumpsReady + " " + outputFlow);
        }
} // class StationHardwareData

