import cz.zcu.fav.kiv.jsim.*;

/*
 *  Has no periodicity, just prints a message sleeps for a while, prints another message and dies
 *
 */

public class OnePassProcess extends JSimProcess
{
 private double timeToSleep;

 /*
  *  It is better to throw the exceptions from the constructor than to catch them
  */
 public OnePassProcess(JSimSimulation simulation, String name, double timeS) throws JSimSimulationAlreadyTerminatedException, JSimInvalidParametersException, JSimTooManyProcessesException
 {
  super(name, simulation);
  timeToSleep = timeS;
 } // constructor

 /*
  *  During the life, we just print a message, then we sleep for a while and print another message just before dying
  */
 protected void life()
 {
  try
  {
   message(getName() + ": Going to sleep for " + timeToSleep + " seconds.");

   /*
    *  Sleeping here...
    */
   hold(timeToSleep);
   message(getName() + ": Awaken, going to die just now.");
  }
  catch (JSimSecurityException e)
  {
   e.printStackTrace();
   e.printComment(System.err);
  }
 } // life
} // class OnePassProcess

