import cz.zcu.fav.kiv.jsim.*;

/*
 *  Periodicly prints a character
 *
 */

public class PeriodicProcess extends JSimProcess
{
 private char           charToPrint;
 private double         timeToWait;

 /*
  *  It is better to throw the exceptions from the constructor than to catch them
  */
 public PeriodicProcess(JSimSimulation simulation, char c, String name, double timeW) throws JSimSimulationAlreadyTerminatedException, JSimInvalidParametersException, JSimTooManyProcessesException
 {
  super(name, simulation);
  charToPrint = c;
  timeToWait = timeW;
 } // constructor

 /*
  *  We don't care about stopping -- we run infinitely
  */
 protected void life()
 {
  try
  {
   double time;

   /*
    *  Yes, it's really a neverending cycle
    */
   while (true)
   {
    time = myParent.getCurrentTime();
    message(getName() + " at " + time + " : " + charToPrint);

    /*
     *  Planning of the next printing
     */
    hold(timeToWait);
   } // while
  } // try
  catch (JSimSecurityException e)
  {
   e.printStackTrace();
   e.printComment(System.err);
  }
 } // life
} // class PeriodicProcess

