/*
 *  A simple generator. Creates new transactions and puts them into a queue.
 *  Look into the documentation for additional information.
 *
 */

import cz.zcu.fav.kiv.jsim.*;

public class Generator extends JSimProcess
{
 private double                 lambda;
 private QueueWithServer        queue;


 public Generator(String name, JSimSimulation sim, double l, QueueWithServer q) throws JSimSimulationAlreadyTerminatedException, JSimInvalidParametersException, JSimTooManyProcessesException
 {
  super(name, sim);
  lambda = l;
  queue = q;
 } // constructor

 protected void life()
 {
  JSimLink      link;

  try
  {
   while (true)
   {
    /*
     *  Periodically creating new transactions and putting them into the queue.
     */
    //message(getProcessName() + ": A new transaction created.");
    link = new JSimLink(new Transaction(myParent.getCurrentTime()));
    link.into(queue);
    if (queue.getServer().isIdle())
    {
     //message(getProcessName() + ": The server is idle, waking it up...");
     queue.getServer().activate(myParent.getCurrentTime());
    }
    hold(JSimSystem.negExp(lambda));
   } // while
  } // try
  catch (JSimException e)
  {
   e.printStackTrace();
   e.printComment(System.err);
  }
 } // life
} // class Generator
