/*
 *  A queue having its own server which takes transactions out from the queue.
 */

import cz.zcu.fav.kiv.jsim.*;
import cz.zcu.fav.kiv.jsim.gui.*;

import java.util.*;

public class QueueWithServer extends JSimHead
{
 private JSimProcess         server;

 public QueueWithServer(String name, JSimSimulation sim, JSimProcess s) throws JSimInvalidParametersException, JSimTooManyHeadsException
 {
  super(name, sim);
  server = s;
 } // constructor

 public JSimProcess getServer()
 {
  return server;
 } // getServer

 public void setServer(JSimProcess s)
 {
  server = s;
 } // setServer


 /*
  *  Overrides the method from class JSimHead.
  */
 public String getObjectListItemDescription()
 {
  return("No.: " + getNumber() + "  Name: " + getName() + "  Elements: " + cardinal() + "  Average length: " + getLw());
 }


 /*
  *  Overrides the method from class JSimHead.
  */
 public Collection getDetailedInformationArray()
 {
  Collection c;
  c = (java.util.List) super.getDetailedInformationArray();
  c.add(new JSimPair("Average waiting time for all links:", Double.toString(getTwForAllLinks())));
  return(c);
 }
} // class QueueWithServer
