/*
 *  The same instance of SharedData is updated in the critical section by every process.
 *  It holds a global result of arithmetical operations performed by every process
 *  and a counter denoting how many times the critical section has been used.
 */
public class SharedData
{
	private int countOfCriticalSectionUsage;
	private double result;

//--------------------------------------------------------------------------------------------------

	public SharedData()
	{
		countOfCriticalSectionUsage = 0;
		result = 0.0;
	} // constructor

	public double getResult()
	{
		return result;
	} // getResult

	public void setResult(double newResult)
	{
		result = newResult;
	} // setResult

	public int getCountOfCriticalSectionUsage()
	{
		return countOfCriticalSectionUsage;
	} // getCountOfCriticalSectionUsage

	public void incrementCountOfCriticalSectionUsage()
	{
		countOfCriticalSectionUsage++;
	} // incrementCountOfCriticalSectionUsage

} // class SharedData

