/*
 *	Copyright (c) 2000 - 2004, University of West Bohemia,
 *	                           Faculty of Applied Sciences,
 *	                           Department of Computer Science and Engineering,
 *	                           DSS Group.
 *	                           Pilsen, Czech Republic.
 *
 *	Please read the licence agreement carefully before using any part of this software.
 */
package cz.zcu.fav.kiv.jsim.gui;

/**
 *	The JSimPair holds information about two objects -- a name and a value.
 *	Use this class if you want to add a new new pair to the detailed info window of your class implementing
 *	JSimDisplayable.
 *
 *	@author		Pavel DOMECK
 *
 *	@version	J-Sim version 0.3.0
 *
 *	@since		J-Sim version 0.2.0
 */
public class JSimPair
{
	/**
	 *	The characteristic's name.
	 */
	private String name;

	/**
	 *	The characteristic's current value.
	 */
	private Object value;

//--------------------------------------------------------------------------------------------------

	/**
	 *	Creates a new JSimPair object, holding information about the name and the value of an object's
	 *	characteristics.
	 *
	 *	@param name	The characteristic's name.
	 *	@param value	The characteristic's value.
	*/
	public JSimPair(String name, Object value)
	{
		this.name = name;
		this.value = value;
	} // constructor

//--------------------------------------------------------------------------------------------------

	/**
	 *	Returns the characteristic's name.
	 *
	 *	@return	The characteristic's name.
	 */
	public String getName()
	{
		return name;
	} // getName

	/**
	 *	Returns the characteristic's value.
	 *
	 *	@return	The characteristic's value.
	 */
	public Object getValue()
	{
		return value;
	} // getValue

} // class JSimPair

