/*
 *	Copyright (c) 2000 - 2004, University of West Bohemia,
 *	                           Faculty of Applied Sciences,
 *	                           Department of Computer Science and Engineering,
 *	                           DSS Group.
 *	                           Pilsen, Czech Republic.
 *
 *	Please read the licence agreement carefully before using any part of this software.
 */
package cz.zcu.fav.kiv.jsim.ipc;

import cz.zcu.fav.kiv.jsim.*;

/**
 *	All message classes implementing this interface assure that their sending process
 *	can be obtained and it is a single specific process, not a set of processes, all processes,
 *	or an unspecified process.
 *
 *	@author		<a href="http://home.zcu.cz/~jkacer">Jarda KAER</a>
 *
 *	@version	J-Sim version 0.3.0
 *
 *	@since		J-Sim version 0.3.0
 */
public interface JSimMessageWithKnownSender
{
	/**
	 *	Provides the sender of the message.
	 *
	 *	@return	The sender of the message.
	 */
	public JSimProcess getSender();

} // interface JSimMessageWithKnownSender

